<?php

require("biale_plamy_class.php");

require("biale_plamy_set_from_argv.php");








$test = new bialePlamy(array("pointsTable"=>"Rozdzielcza_".$plamy_prefix."_bzyk_punkty_adresowe", "origWaysTable"=>"Rozdzielcza_".$plamy_prefix."_bzyk_drogi"));
//$test->enableShowProgress();
//$test->loadCache();


$test->generateWays();
echo "\n generateWays complete";
$test->generateXpoints();
echo "\n generateJoins complete";
////$test->generateJoins();
$test->generatePrzylacza();
echo "\n generatePrzylacza complete";

$test->generateWaysLenghts();
echo "\n generateWaysLenghts complete";

//$test->generateLongWays();

$test->saveCache();
echo "\n saveCache complete";

$test->saveXML();
echo "\n saveXML complete";

$test->saveArrays();
echo "\n saveArrays complete";


//echo $test->printArray('joins2ways');
$test->saveWaysTable("Rozdzielcza_".$plamy_prefix."_bzyk_ways");
$test->saveJoinsTable("Rozdzielcza_".$plamy_prefix."_bzyk_joins");
$test->savePrzylaczaTable("Rozdzielcza_".$plamy_prefix."_bzyk_przylacza");
